Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156161 - CVE-1999-0710 cachemgr.cgi access control bypass
Summary: CVE-1999-0710 cachemgr.cgi access control bypass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard: impact=low,public=19990725,source=squ...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 01:12 UTC by Josh Bressers
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-489
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-13 12:08:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:415 normal SHIPPED_LIVE Low: squid security update 2005-06-14 04:00:00 UTC
Red Hat Product Errata RHSA-2005:489 normal SHIPPED_LIVE Low: squid security update 2005-06-13 04:00:00 UTC

Description Josh Bressers 2005-04-28 01:12:35 UTC
The RedHat squid program installs cachemgr.cgi in a public web directory,
allowing remote attackers to use it as an intermediary to connect to other systems.

This patch adds access controls to the cachemgr.cgi script, preventing it from
being abused to reach other servers than allowed in a local configuration file.

http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE9-cachemgr_conf

Comment 1 Josh Bressers 2005-04-28 01:14:24 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2005-06-13 12:08:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-489.html



Note You need to log in before you can comment on or make changes to this bug.